New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Migrate Pester Test Syntax from v3 -> v4 #105

Closed
PlagueHO opened this Issue Oct 12, 2017 · 0 comments

Comments

Projects
None yet
2 participants
@PlagueHO
Collaborator

PlagueHO commented Oct 12, 2017

Details of the scenario you tried and the problem that is occurring:
As of Pester v4 the syntax of the Should cmdlet has changed from Should Be to Should -Be.

There is a helpful script that can be used to easily perform the conversion:
https://gist.github.com/indented-automation/aeb14825e39dd8849beee44f681fbab3

This script should be used to correct the Pester syntax.

@PlagueHO PlagueHO self-assigned this Oct 12, 2017

@PlagueHO PlagueHO modified the milestones: HQRM, CertificateDsc Nov 10, 2017

PlagueHO added a commit that referenced this issue Nov 18, 2017

Merge pull request #109 from PlagueHO/Issue-105
Updated tests to meet Pester V4 guidelines - Fixes #105

@vors vors removed the help wanted label Nov 18, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment